POST /replicate/v1/models/black-forest-labs/flux-fill-dev/predictions
Method: POSTEndpoint: /replicate/v1/models/black-forest-labs/flux-fill-dev/predictions
https://replicate.com/black-forest-labs/flux-fill-dev
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
prompt
string
Required
input_image
string
Required
aspect_ratio
string
Required
Example
{
"input"
:
{
"mask"
:
"https://replicate.delivery/pbxt/M0hxLu8a1YBcybWuumSsfoEec8ooer6JZ2fR28vuM1U0CN9m/74b40bb1-364a-461a-bec5-200a38c7bc87.png"
,
"image"
:
"https://replicate.delivery/pbxt/M0hxMJeO7wFCMr7QYNZsjRxzHhz6ntlLllMteRQNsRD7f3Nf/flux-fill-dev.webp"
,
"prompt"
:
"a spaceship"
,
"guidance"
:
30
,
"num_outputs"
:
1
,
"output_format"
:
"webp"
,
"output_quality"
:
80
,
"num_inference_steps"
:
28
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/models/black-forest-labs/flux-fill-dev/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"mask": "https://replicate.delivery/pbxt/M0hxLu8a1YBcybWuumSsfoEec8ooer6JZ2fR28vuM1U0CN9m/74b40bb1-364a-461a-bec5-200a38c7bc87.png",
"image": "https://replicate.delivery/pbxt/M0hxMJeO7wFCMr7QYNZsjRxzHhz6ntlLllMteRQNsRD7f3Nf/flux-fill-dev.webp",
"prompt": "a spaceship",
"guidance": 30,
"num_outputs": 1,
"output_format": "webp",
"output_quality": 80,
"num_inference_steps": 28
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}